/** xspf to m3u

Пример 1

<?xml version="1.0" encoding="UTF-8"?>
<playlist version="1" xmlns="http://xspf.org/ns/0/" xmlns:vlc="http://www.videolan.org/vlc/playlist/ns/0/">
    <title>Плейлист</title>
    <trackList>
        <track>
            <location>udp://@239.255.2.122:1234</location>
            <title>Первый канал</title>
            <extension application="http://www.videolan.org/vlc/playlist/0">
                <vlc:id>0</vlc:id>
            </extension>
        </track>
        <track>
            <location>udp://@239.255.2.130:1234</location>
            <title>Rusong TV</title>
            <extension application="http://www.videolan.org/vlc/playlist/0">
                <vlc:id>1</vlc:id>
            </extension>
        </track>
        <track>
            <location>udp://@239.255.2.21:1234</location>
            <title>Luxe TV HD</title>
            <extension application="http://www.videolan.org/vlc/playlist/0">
                <vlc:id>2</vlc:id>
            </extension>
        </track>
    </trackList>
    <extension application="http://www.videolan.org/vlc/playlist/0">
            <vlc:item tid="0" />
            <vlc:item tid="1" />
            <vlc:item tid="2" />
    </extension>
</playlist>


Пример 2

<playlist>
	<trackList>
		<track>
			<location>http://www.sport24.pw/hls/MatchTV.m3u8</location>
			<title>Матч ТВ</title>
			<category>Спорт</category>
			<image>http://www.lyngsat-logo.com/logo/tv/mm/match_ru_tv.png</image>
		</track>
		<track>
			<location>http://www.sport24.pw/hls/MatchArena.m3u8</location>
			<title>Матч! Арена</title>
			<image>http://www.lyngsat-logo.com/logo/tv/mm/match_ru_arena.png</image>
		</track>
		<track>
			<location>http://www.sport24.pw/hls/MatchIgra.m3u8</location>
			<title>Матч! Игра</title>
			<image>http://www.lyngsat-logo.com/logo/tv/mm/match_ru_igra.png</image>
		</track>
		<track>
			<location>http://www.sport24.pw/hls/MatchNashSport.m3u8</location>
			<title>Матч! Наш Спорт</title>
			<image>http://www.lyngsat-logo.com/logo/tv/mm/match_ru_nash_sport.png</image>
		</track>
		<track>
			<location>http://www.sport24.pw/hls/MatchPlaneta.m3u8</location>
			<title>Матч! Планета</title>
			<image>http://www.lyngsat-logo.com/logo/tv/mm/match_ru_planeta.png</image>
		</track>
		<track>
			<location>http://www.sport24.pw/hls/NashFutbol.m3u8</location>
			<title>Наш Футбол</title>
			<image>http://www.lyngsat-logo.com/logo/tv/nn/nash_futbol_ru.png</image>
		</track>
		<track>
			<location>http://www.sport24.pw/hls/MatchFutbol1.m3u8</location>
			<title>Матч! Футбол 1</title>
			<image>http://www.lyngsat-logo.com/logo/tv/mm/match_ru_futbol_1.png</image>
		</track>
		<track>
			<location>http://www.sport24.pw/hls/MatchFutbol2.m3u8</location>
			<title>Матч! Футбол 2</title>
			<image>http://www.lyngsat-logo.com/logo/tv/mm/match_ru_futbol_2.png</image>
		</track>
		<track>
			<location>http://www.sport24.pw/hls/MatchFutbol3.m3u8</location>
			<title>Матч! Футбол 3</title>
			<image>http://www.lyngsat-logo.com/logo/tv/mm/match_ru_futbol_3.png</image>
		</track>
		<track>
			<location>http://www.sport24.pw/hls/Eurosport.m3u8</location>
			<title>Eurosport 1</title>
			<image>http://www.lyngsat-logo.com/logo/tv/ee/eurosport_fr_1.png</image>
		</track>
		<track>
			<location>http://www.sport24.pw/hls/Eurosport2.m3u8</location>
			<title>Eurosport 2</title>
			<image>http://www.lyngsat-logo.com/logo/tv/ee/eurosport_fr_2.png</image>
		</track>
	</trackList>
 </playlist>

**/

if (AkelPad.GetMainWnd() && AkelPad.GetEditWnd())   //если есть документ 
{ 
   var str = AkelPad.GetTextRange(0, -1);   //получить весь текст 

   var m3ustr ='#EXTM3U\n';
   var a = str.match(/\<track\>(.+?)\<\/track\>/g);
   if (a!=null) {
      for (i=0; a.length>i; i++) {

         var name=a[i].match(/\<title\>(.+?)\<\/title\>/) || ''
         var adr=a[i].match(/\<location\>(.+?)\<\/location\>/) || ''
         var grp=a[i].match(/\<category\>(.+?)\<\/category\>/) || ''
         var img=a[i].match(/\<image\>(.+?)\<\/image\>/) || ''

         m3ustr = m3ustr + '#EXTINF:-1 group-title="' + (grp[1] || '') + '" tvg-logo="' + (img[1] || '') + '",' + (name[1] || '') + '\n' + (adr[1] || '') + '\n'
      //write(m3ustr);
      
      }

      m3ustr = m3ustr.replace(/\r$/i, "");      //удалить пустую строку в конце текста 
      AkelPad.SetSel(0,-1);                 //выделить весь текст 
      AkelPad.ReplaceSel(m3ustr);              //заменить выделенное 
      AkelPad.SetSel(0,0);                 //курсор в начало текста 
   }
}